export declare const charset: ICharSetMetaTag;
export declare const viewport: INamedMetaTag;
export interface ICharSetMetaTag {
    charset: string;
}
export interface IHttpEquivMetaTag {
    httpEquiv: string;
    content: string;
}
export interface INamedMetaTag {
    name: string;
    content: string;
}
export interface IPropertyMetaTag {
    property: string;
    content: string;
}
declare module 'aurelia-router' {
    interface RouteConfig {
        meta?: Array<INamedMetaTag | IPropertyMetaTag>;
    }
    interface RouterConfiguration {
        addMeta(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): any;
        removeMeta(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): any;
    }
    interface Router {
        addMeta(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): any;
        removeMeta(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): any;
    }
}
