System.register(["aurelia-router", "./meta-service-helper"], function (exports_1, context_1) {
    "use strict";
    var aurelia_router_1, meta_service_helper_1, charset, viewport;
    var __moduleName = context_1 && context_1.id;
    return {
        setters: [
            function (aurelia_router_1_1) {
                aurelia_router_1 = aurelia_router_1_1;
            },
            function (meta_service_helper_1_1) {
                meta_service_helper_1 = meta_service_helper_1_1;
            }
        ],
        execute: function () {
            exports_1("charset", charset = {
                charset: 'utf-8'
            });
            exports_1("viewport", viewport = {
                name: "viewport",
                content: "width=device-width, initial-scale=1.0"
            });
            aurelia_router_1.RouterConfiguration.prototype.addMeta = function (tags) {
                meta_service_helper_1.MetaServiceHelper.addMetaTags(tags);
            };
            aurelia_router_1.Router.prototype.addMeta = function (tags) {
                meta_service_helper_1.MetaServiceHelper.addMetaTags(tags);
            };
            aurelia_router_1.RouterConfiguration.prototype.removeMeta = function (tags) {
                meta_service_helper_1.MetaServiceHelper.removeMetaTags(tags);
            };
            aurelia_router_1.Router.prototype.removeMeta = function (tags) {
                meta_service_helper_1.MetaServiceHelper.removeMetaTags(tags);
            };
        }
    };
});
