import { EventAggregator } from 'aurelia-event-aggregator';
import { Router } from 'aurelia-router';
import { INamedMetaTag, ICharSetMetaTag, IHttpEquivMetaTag, IPropertyMetaTag } from './router-extend';
import './router-extend';
export declare class AureliaMetaService {
    private ea;
    private router;
    private processingSubscription;
    private completeSubscription;
    private static PROCESSING_ROUTE_EVENT;
    private static COMPLETE_ROUTE_EVENT;
    constructor(ea: EventAggregator, router: Router);
    private registerCompleteRouteEvent;
    private registerProcessingRouteEvent;
    start(): void;
    stop(): void;
    addTag(tag: INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag): void;
    addTags(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): void;
    removeTag(tag: INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag): void;
    removeTags(tags: Array<INamedMetaTag | IPropertyMetaTag | ICharSetMetaTag | IHttpEquivMetaTag>): void;
}
