"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var aurelia_router_1 = require("aurelia-router");
var meta_service_helper_1 = require("./meta-service-helper");
exports.charset = {
    charset: 'utf-8'
};
exports.viewport = {
    name: "viewport",
    content: "width=device-width, initial-scale=1.0"
};
aurelia_router_1.RouterConfiguration.prototype.addMeta = function (tags) {
    meta_service_helper_1.MetaServiceHelper.addMetaTags(tags);
};
aurelia_router_1.Router.prototype.addMeta = function (tags) {
    meta_service_helper_1.MetaServiceHelper.addMetaTags(tags);
};
aurelia_router_1.RouterConfiguration.prototype.removeMeta = function (tags) {
    meta_service_helper_1.MetaServiceHelper.removeMetaTags(tags);
};
aurelia_router_1.Router.prototype.removeMeta = function (tags) {
    meta_service_helper_1.MetaServiceHelper.removeMetaTags(tags);
};
